#include<bits/stdc++.h>

int main()
{
    int l,n,h;
    scanf("%d %d",&n,&h);
    int *stalagniti=new int[n];


    for (l=1;l<n;l++)
    {
        scanf("%d",&stalagniti[l]);
        if (stalagniti[l]<=h)
        {
            printf("%d\n",l);
            delete[] stalagniti;
            return 0;
        }

    }
    printf("%d", -1);
    delete[] stalagniti;
    return 0;
}